#
# spec file for package perl-Time-Piece
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Time-Piece
Version:        1.31
Release:        1.1
%define cpan_name Time-Piece
Summary:        Object Oriented time objects
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Time-Piece/
Source0:        http://www.cpan.org/authors/id/E/ES/ESAYM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module replaces the standard 'localtime' and 'gmtime' functions with
implementations that return objects. It does so in a backwards compatible
manner, so that using localtime/gmtime in the way documented in perlfunc
will still return what you expect.

The module actually implements most of an interface described by Larry Wall
on the perl5-porters mailing list here:
http://www.xray.mpe.mpg.de/mailing-lists/perl5-porters/2000-01/msg00241.htm
l

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README TODO

%changelog
* Wed Oct 21 2015 coolo@suse.com
- updated to 1.31
  see /usr/share/doc/packages/perl-Time-Piece/Changes
  1.31    2015-10-20
  - No Changes since 1.30_01
  1.30_01 2015-09-01
  - Ignore some tests on non *nix platforms
  - fix compile warnings
  - Inherit from Dynaloader (fix static build issues)
  - Fix windows mem corruption
* Sun May 17 2015 coolo@suse.com
- updated to 1.30
  see /usr/share/doc/packages/perl-Time-Piece/Changes
  1.30    2015-05-16
  - Stable release. Overview from 1.29:
  - Make strftime more portable + fix %%z %%z
  - Add many more tests
  - Clean inheritance
  1.29_05   2015-05-02
  - Combine multiple 'use constant' statements (saves 0.5ms at runtime)
  - Don't leave c_epoch undef
  - deprecate parse() function
  - More constructor tests
  - export() calls Exporter::export
  1.29_04   2015-04-09
  - Clean inheritance of Exporter and DynaLoader (Thanks dolmen!)
  - Refactor _strftime to use localtime/gmtime to generate tm struct
  1.29_03   2015-04-04
  - Don't mix gmtime and mktime in _strftime
  - Clean whitespace at end of lines
  - Add more tests for DST issues and also strptime parsing
  1.29_02   2015-04-04
  - Fix handling of %%Z and %%z in strftime (hopefully)
  - Remove compile warnings for int cast
  1.29_01   2015-03-30
  - Fix handling of %%Z and %%z in strftime (in progress)
  - Remove unused constants from Time::Seconds (Thanks Xaerxess!)
  - _strftime: use system mktime to better support past/future dates
  - Relicense strptime as BSD 2-clause http://git.io/vfNSg
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.29
  see /usr/share/doc/packages/perl-Time-Piece/Changes
* Mon Apr  4 2011 coolo@novell.com
- updated to 1.20
  - Fix for alloca broke Solaris
  - Fixed documentation buggette about strptime
  - Added ->pretty() method for Time::Seconds objects
  - Add %%s support to strptime
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Mar  8 2010 chris@computersalat.de
- update to version 1.19
  - Fix for alloca broke FreeBSD
- 1.18
  - Fix for alloca on IRIX
- 1.17
  - Force all to use internal strptime then everyone gets %%z even OSX
    users.
  - Finally figured out the timezone test failures on Win32 and fixed
    them.
- 1.16
  - Implement %%z for the internal implementation of strptime().
    Unfortunately this doesn't get picked up everywhere, so there are no
    tests for it (yet - patches welcome).
  - Fix for major bug in add_months() using negative months which were
    multiples of 12. Also affected add_years() with negative years.
  - Fix for object creation bug in get_epochs which called new from object
    but that wasn't supported in the new() code.
  - Added docs about the weakness of using epoch seconds internally and
    suggested alternatives.
  - Removed useless "use UNIVERSAL qw(isa)" line.
  - Fix for installing over core perl version.
- cleanup spec
  - Header version
  - dep for perl-macros
  - Provides
  - changelog to changes file
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sat Jun 27 2009 chris@computersalat.de
- update to 1.15
  o 1.15
  - Skip a test on Win32 that there's just no way of passing
  - Document the above failure
  o 1.14
  - rework add_months() to not rely on strptime being able to parse illegal
    dates (Gisle Aas).
  - Various win32 TZ fixes from p5p core perl version
  o 1.13
  - More QNX fixes (kraai@ftbfs.org)
  - Restore freebsd copyright on strptime.
  - Added add_months and add_years methods.
  o 1.12
  - QNX fixes
  - Merge with perl core version
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
* Fri Sep 14 2007 jfunk@funktronics.ca
- Initial release
